package com.yeejoin.amos.boot.module.jxiop.biz.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.IdxBizC80c;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.IdxBizHjev;
import com.yeejoin.amos.boot.module.jxiop.biz.mapper2.IdxBizC80cMapper;
import com.yeejoin.amos.boot.module.jxiop.biz.mapper2.IdxBizHjevMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
@Service
public class CommonServiceImpl {
    @Autowired
    private IdxBizC80cMapper idxBizC80cMapper;
    @Autowired
    private IdxBizHjevMapper idxBizHjevMapper;

    public List<IdxBizC80c> getAllFanstationTestPoint(){
        List<IdxBizC80c> idxBizC80cList = new ArrayList<>();
        idxBizC80cList = idxBizC80cMapper.selectList(new QueryWrapper<IdxBizC80c>().isNotNull("SEQUENCE_NBR"));
        return idxBizC80cList;
    }
    public List<IdxBizHjev> getAllPVstationTestPoint(){
        List<IdxBizHjev> idxBizC80cList = new ArrayList<>();
        idxBizC80cList = idxBizHjevMapper.selectList(new QueryWrapper<IdxBizHjev>().isNotNull("SEQUENCE_NBR"));
        return idxBizC80cList;
    }

 }
